List collections
curl --request GET \
--url https://api.quiva.ai/hub/collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/hub/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/hub/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results_total": 4,
"results": [
{
"collection_type": "node",
"description": "Payment processing node templates",
"modified": 1748533179,
"name": "Payment Nodes",
"sequence": 16,
"subject": "ms.hub.config.collection.node.805092869",
"topic": "805092869",
"type": "created"
},
{
"collection_type": "node",
"description": "Utility functions for data transformation",
"modified": 1748533200,
"name": "Data Transform Nodes",
"sequence": 24,
"subject": "ms.hub.config.collection.node.1025086208",
"topic": "1025086208",
"type": "updated"
},
{
"collection_type": "workflow",
"description": "Order lifecycle management",
"modified": 1748533250,
"name": "Order Flows",
"sequence": 31,
"subject": "ms.hub.config.collection.workflow.1508781670",
"topic": "1508781670",
"type": "created"
},
{
"collection_type": "workflow",
"description": "",
"modified": 1748533300,
"name": "Notification Flows",
"sequence": 45,
"subject": "ms.hub.config.collection.workflow.2098761234",
"topic": "2098761234",
"type": "created"
}
]
}Collections
List collections
Retrieves a list of collections
GET
/
hub
/
collections
List collections
Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Query Parameters
List only 'node' or only 'workflow' collections. If this parameter is omitted, both will be listed
Available options:
node, workflow Response
Collection retrieved successfully
Show child attributes
Show child attributes
⌘I